GOBGPD(1)

NAME
gobgpd - GoBGP daemon

DESCRIPTION

  Usage:

    gobgpd [OPTIONS]

  Application Options:

-f, --config-file=
    specifying a config file

-t, --config-type=
    specifying config type (toml, yaml, json) (default: toml)

-a, --config-auto-reload
    activate config auto reload on changes

--config-strict
    make any config error fatal

-l, --log-level=
    specifying log level

-p, --log-plain
    use plain format for logging (json by default)

-s, --syslog=
    use syslogd

--syslog-facility=
    specify syslog facility

--disable-stdlog
    disable standard logging

--cpus=
    specify the number of CPUs to be used

--api-hosts=
    specify the hosts that gobgpd listens on (default: :50051)

-r, --graceful-restart
    flag restart-state in graceful-restart capability

-d, --dry-run
    check configuration

--pprof-host=
    specify the host that gobgpd listens on for pprof and metrics (default: localhost:6060)

--pprof-disable
    disable pprof profiling

--metrics-path=
    specify path for prometheus metrics, empty value disables them (default: /metrics)

--sdnotify
    use sd_notify protocol

--tls
    enable TLS authentication for gRPC API

--tls-cert-file=
    The TLS cert file

--tls-key-file=
    The TLS key file

--tls-client-ca-file= Optional TLS client CA file to authenticate clients
    against

--version
    show version number

--sentry-dsn=
    Sentry DSN

--sentry-environment= Sentry environment (default: development)

--sentry-sample-rate= Sentry traces sample rate (default: 1.0)

--sentry-debug
    Sentry debug mode

  Help Options:

-h, --help
    Show this help message

time="2026-02-03T23:46:38Z" level=fatal msg="Error parsing flags: Usage:\n gobgpd [OPTIONS]\n\nApplication Options:\n -f, --config-file= specifying a config file\n -t, --config-type= specifying config type (toml, yaml, json) (default:\n toml)\n -a, --config-auto-reload activate config auto reload on changes\n --config-strict make any config error fatal\n -l, --log-level= specifying log level\n -p, --log-plain use plain format for logging (json by default)\n -s, --syslog= use syslogd\n --syslog-facility= specify syslog facility\n --disable-stdlog disable standard logging\n --cpus= specify the number of CPUs to be used\n --api-hosts= specify the hosts that gobgpd listens on (default:\n :50051)\n -r, --graceful-restart flag restart-state in graceful-restart capability\n -d, --dry-run check configuration\n --pprof-host= specify the host that gobgpd listens on for pprof\n and metrics (default: localhost:6060)\n --pprof-disable disable pprof profiling\n --metrics-path= specify path for prometheus metrics, empty value\n disables them (default: /metrics)\n --sdnotify use sd_notify protocol\n --tls enable TLS authentication for gRPC API\n --tls-cert-file= The TLS cert file\n --tls-key-file= The TLS key file\n --tls-client-ca-file= Optional TLS client CA file to authenticate clients\n against\n --version show version number\n --sentry-dsn= Sentry DSN\n --sentry-environment= Sentry environment (default: development)\n --sentry-sample-rate= Sentry traces sample rate (default: 1.0)\n --sentry-debug Sentry debug mode\n\nHelp Options:\n -h, --help Show this help message\n"